## org.apache.maven.shared.io.location
Class ArtifactLocatorStrategy

    java.lang.Object
      org.apache.maven.shared.io.location.ArtifactLocatorStrategy

All Implemented Interfaces:
  LocatorStrategy

    public class ArtifactLocatorStrategy

extends java.lang.Object
implements LocatorStrategy

Constructor Summary
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, java.util.List remoteRepositories)`
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, java.util.List remoteRepositories, java.lang.String defaultArtifactType)`
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, java.util.List remoteRepositories, java.lang.String defaultArtifactType, java.lang.String defaultClassifier)`

Method Summary
`Location` `resolve(java.lang.String locationSpecification, MessageHolder messageHolder)` Assumes artifact identity is given in a set of comma-delimited tokens of the form: `groupId:artifactId:version:type:classifier`, where type and classifier are optional.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   java.util.List remoteRepositories)

### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   java.lang.String defaultArtifactType)

### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   java.util.List remoteRepositories,
                                   java.lang.String defaultArtifactType,
                                   java.lang.String defaultClassifier)

Method Detail

### resolve

    public Location resolve(java.lang.String locationSpecification,
                            MessageHolder messageHolder)

  Assumes artifact identity is given in a set of comma-delimited tokens of the form: `groupId:artifactId:version:type:classifier`, where type and classifier are optional.

  Specified by:
    `resolve` in interface `LocatorStrategy`

Copyright © 2011. All Rights Reserved.